omniscientjs omniscientjs

omniscient

7 8 0

A library providing an abstraction for React components that allows for fast top-down rendering embracing immutable data for js

Dependencies

Package Locked Requirement Latest Status Changelog
Npms lodash.assign ^3.0.0 4.2.0

lodash.assign

The lodash method `_.assign` exported as a module.

This dependency is not matching latest version. Please consider upgrading.

Npms lodash.isequal ^3.0.0 4.5.0

lodash.isequal

The Lodash method `_.isEqual` exported as a module.

This dependency is not matching latest version. Please consider upgrading.

Npms lodash.pick ^3.0.0 4.4.0

lodash.pick

The lodash method `_.pick` exported as a module.

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms browserify ^11.0.1 14.1.0

browserify

browser-side require() the node way

This dependency is not matching latest version. Please consider upgrading.

Npms browserify-shim ^3.8.2 3.8.13

browserify-shim

Makes CommonJS-incompatible modules browserifyable.

This dependency is up-to-date. Congrats and keep going!

Npms chai ^3.2.0 3.5.0

chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

This dependency is not matching latest version. Please consider upgrading.

Npms derequire ^2.0.1 2.0.6

derequire

remove requires

This dependency is up-to-date. Congrats and keep going!

Npms dox ^0.8.0 0.9.0

dox

Markdown / JSdoc documentation generator

This dependency is not matching latest version. Please consider upgrading.

Npms immstruct ^2.0.0 2.0.0

immstruct

Immutable data structure for top-to-bottom properties in component based libraries like React

This dependency is up-to-date. Congrats and keep going!

Npms immutable ^3.0.2 3.8.1

immutable

Immutable Data Collections

This dependency is up-to-date. Congrats and keep going!

Npms jsdom ^6.1.0 9.12.0

jsdom

A JavaScript implementation of the DOM and HTML standards

This dependency is not matching latest version. Please consider upgrading.

Npms mocha ^2.0.1 3.2.0

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms react >=0.14.0-rc1 15.4.2

react

React is a JavaScript library for building user interfaces.

This dependency is up-to-date. Congrats and keep going!

Npms react-dom >=0.14.0-rc1 15.4.2

react-dom

React package for working with the DOM.

This dependency is up-to-date. Congrats and keep going!

Npms uglify-js ^2.4.15 2.8.15

uglify-js

JavaScript parser, mangler/compressor and beautifier toolkit

This dependency is up-to-date. Congrats and keep going!